BOB Gateway

Create a new gateway order (V3).

Accepts a `GatewayQuoteV3` — the signed V3 quote with `ownerAddress` embedded in each variant.

POST
/v3/create-order

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

V3 gateway quote — used for both the get-quote response and the create-order body. ownerAddress is embedded in each variant that carries an owner concept.

V3 gateway quote — used for both the get-quote response and the create-order body. ownerAddress is embedded in each variant that carries an owner concept.

Response Body

application/json

application/json

curl -X POST "https://example.com/v3/create-order" \  -H "Content-Type: application/json" \  -d '{    "onramp": {      "dstChain": "string",      "dstToken": "string",      "executionFees": {        "address": "string",        "amount": "string",        "chain": "string"      },      "feeBreakdown": {        "affiliateFee": {          "address": "string",          "amount": "string",          "chain": "string"        },        "executionFee": {          "address": "string",          "amount": "string",          "chain": "string"        },        "layerzeroFee": {          "address": "string",          "amount": "string",          "chain": "string"        },        "protocolFee": {          "address": "string",          "amount": "string",          "chain": "string"        },        "solverFee": {          "address": "string",          "amount": "string",          "chain": "string"        }      },      "fees": {        "address": "string",        "amount": "string",        "chain": "string"      },      "inputAmount": {        "address": "string",        "amount": "string",        "chain": "string"      },      "outputAmount": {        "address": "string",        "amount": "string",        "chain": "string"      },      "recipient": "string",      "signedQuoteData": "string",      "slippage": "string",      "token": "string"    }  }'
{  "onramp": {    "address": "string",    "op_return_data": "string",    "order_id": "string",    "psbt_hex": "string"  }}